//---------------------------------------------------------------------------
#ifndef TestMainH
#define TestMainH
#include <Classes.hpp>
#include <ComCtrls.hpp>
#include <Controls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <StdCtrls.hpp>
//---------------------------------------------------------------------------

#define WM_START_APP    (WM_APP+0x0001)

//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE Ǘ̃R|[lg
    TMainMenu *MainMenu1;
    TPopupMenu *PopupMenu;
    TListView *MailListView;
    TSplitter *Splitter1;
    TMemo *BodyMemo;
    TMenuItem *File1;
    TMenuItem *O1;
    TMenuItem *mCreate;
    TMenuItem *mReply;
    TMenuItem *N1;
    TMenuItem *mRenewal;
    TMenuItem *N2;
    TMenuItem *mDelete;
    TMenuItem *N3;
    TMenuItem *mExit;
    TMenuItem *mPopupReply;
    TMenuItem *N4;
    TMenuItem *mPopupDelete;
    TMenuItem *mSetting;
    TMenuItem *mSave;
    TMenuItem *N5;
    TMenuItem *mAttachment;
    TSaveDialog *SaveDialog;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall mCreateClick(TObject *Sender);
    void __fastcall mRenewalClick(TObject *Sender);
    void __fastcall mExitClick(TObject *Sender);
    void __fastcall mSettingClick(TObject *Sender);
    void __fastcall mPopupReplyClick(TObject *Sender);
    void __fastcall mPopupDeleteClick(TObject *Sender);
    void __fastcall FormResize(TObject *Sender);
    void __fastcall MailListViewMouseUp(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
    void __fastcall MailListViewClick(TObject *Sender);
    void __fastcall mSaveClick(TObject *Sender);

    void __fastcall mAttachmentClick(TObject *Sender);
protected:
	void __fastcall WMStartApp(TMessage& Message);
BEGIN_MESSAGE_MAP
	VCL_MESSAGE_HANDLER(WM_START_APP, TMessage, WMStartApp)
END_MESSAGE_MAP(TForm)
private:	// [U[錾
    String Id;          // ID
    String Password;    // pX[h
    String Pop3Name;    // POP3T[o[
    int Pop3Ssl;
    int Pop3Port;
    Boolean APopFlag;       // APOP gp邩
    void AddMailList(); // 薼ꗗ ListView ɕ\
    void HeaderDataClear(void);
    void ReadIni();
public:		// [U[錾
    __fastcall TMainForm(TComponent* Owner);
    String SmtpName;    // SMTPT[o[
    String MailAddress; // [AhX
    int SmtpPort;
    int SmtpSsl;
    int SmtpAuth;
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#define OPTION_SECTION          "BCBMAIL"
#define OPTION_APOP_FLAG        "ApopFlag"
#define OPTION_SMTP_NAME        "SmtpName"
#define OPTION_SMTP_PORT        "SmtpPort"
#define OPTION_SMTP_AUTH        "SmtpAuth"
#define OPTION_SMTP_SSL         "SmtpSsl"
#define OPTION_POP3_NAME        "Pop3Name"
#define OPTION_POP3_PORT        "Pop3Port"
#define OPTION_POP3_SSL         "Pop3Ssl"
#define OPTION_MAIL_ADDRESS     "MailAddress"

#define HEADER_MAX              8192

#endif
